﻿using System;
using Styx;
using Styx.Plugins;
using Styx.WoWInternals;
using Styx.Common;
using System.Windows.Media;


//Credit to Backwards for initial publish
namespace HB_Ashran_Auto_Accept
{
    public class AshranAutoAccept: HBPlugin
    {
        public override string Name { get { return "Ashran Auto Accept"; } }
        public override string Author { get { return "ArmyDr"; } }
        public override Version Version { get { return new Version(1, 0, 1); } }
		public override string ButtonText { get { return "Ashran Auto Accept"; } }
        public override bool WantButton { get { return false; } }

        public override void OnEnable()
        {
            Logging.Write(System.Windows.Media.Colors.Pink, "[Ashran Auto Accept] Enabled");
			Lua.Events.AttachEvent("BATTLEFIELD_MGR_ENTRY_INVITE", AcceptInvite);
            base.OnEnable();
        }

        public override void OnDisable()
        {
            Logging.Write(System.Windows.Media.Colors.Pink, "[Ashran Auto Accept] Disabled");
			Lua.Events.DetachEvent("BATTLEFIELD_MGR_ENTRY_INVITE", AcceptInvite);
            base.OnDisable();
        }

		public static void AcceptInvite(object sender, LuaEventArgs args)
		{
			Lua.DoString("BattlefieldMgrEntryInviteResponse(24, 1)");
			Logging.Write(System.Windows.Media.Colors.Pink, "Joining the battle for Ashran! Good Luck!");
		}
		
		public override void Pulse()
        {
            return;
        } 
		
    } 
} 